APPEND JAHEIRAJ

//////Jaheira (Gorion talk)

IF WEIGHT #-10~Global("ISHJaheira","GLOBAL",0) AreaCheck("ARISH6") !RealGlobalTimerExpired("ISHJahGorTime","GLOBAL")~THEN BEGIN ISHJAH000
SAY @0
IF~~THEN REPLY @1 GOTO ISHJAH001
IF~~THEN REPLY @2 GOTO ISHJAH002
IF~~THEN REPLY @3 GOTO ISHJAH003
END

IF~~THEN BEGIN ISHJAH001
SAY @4
IF~~THEN GOTO ISHJAH004
END

IF~~THEN BEGIN ISHJAH002
SAY @5
IF~~THEN GOTO ISHJAH004
END

IF~~THEN BEGIN ISHJAH004
SAY @6
=
@7
IF~~THEN REPLY @8 GOTO ISHJAH005
IF~~THEN REPLY @9 GOTO ISHJAH003
END

IF~~THEN BEGIN ISHJAH005
SAY @10
=
@11
IF~~THEN DO ~SetGlobal("ISHJaheira","GLOBAL",1)~ EXIT
END

IF~~THEN BEGIN ISHJAH003
SAY @12
IF~~THEN DO ~SetGlobal("ISHJaheira","GLOBAL",1)~ EXIT
END
END
APPEND HAERDAJ

/////HAERDALIS

IF WEIGHT #-10~Global("ISHDalis","GLOBAL",0) AreaCheck("ARISH8")~ THEN BEGIN ISHDAL000
SAY @13
IF~~THEN REPLY @14 GOTO ISHDAL001
IF~~THEN REPLY @15 GOTO ISHDAL002
IF~~THEN REPLY @16 GOTO ISHDAL003
END

IF~~THEN BEGIN ISHDAL001
SAY @17
IF~~THEN DO ~SetGlobal("ISHDalis","GLOBAL",1)~ EXIT
END

IF~~THEN BEGIN ISHDAL002
SAY @18
IF~~THEN GOTO ISHDAL004
END

IF~~THEN BEGIN ISHDAL003
SAY @19
IF~~THEN GOTO ISHDAL004
END

IF~~THEN BEGIN ISHDAL004
SAY @20
IF~~THEN REPLY @21 GOTO ISHDAL005
IF~~THEN REPLY @22 GOTO ISHDAL006
IF~~THEN REPLY @23 GOTO ISHDAL001
END

IF~~THEN BEGIN ISHDAL006
SAY @24
IF~~THEN DO ~SetGlobal("ISHDalis","GLOBAL",1)~ EXIT
END

IF~~THEN BEGIN ISHDAL005
SAY @25
IF~RandomNum(2,1)~THEN GOTO ISHDAL005-1
IF~RandomNum(2,2)~THEN GOTO ISHDAL005-2
END

IF~~THEN BEGIN ISHDAL005-1
SAY @26
IF~~THEN DO ~SetGlobal("ISHDalis","GLOBAL",1)~ EXIT
END

IF~~THEN BEGIN ISHDAL005-2
SAY @27
IF~~THEN DO ~SetGlobal("ISHDalis","GLOBAL",1)~ EXIT
END
END

APPEND YOSHJ

/////////// Yoshimo (boy)

IF WEIGHT #-10~Global("ISHYoshi","GLOBAL",0) AreaCheck("ARISH1") See("9xStoryT")~THEN BEGIN ISHYOSH000
SAY @28
IF~~THEN REPLY @29 GOTO ISHYOSH001
IF~~THEN REPLY @30 GOTO ISHYOSH002
END

IF~~THEN BEGIN ISHYOSH001
SAY @31
=
@32
=
@33
=
@34
IF~~THEN REPLY @35 GOTO ISHYOSH003
IF~~THEN REPLY @36 GOTO ISHYOSH002
END

IF~~THEN BEGIN ISHYOSH003
SAY @37
=
@38
IF~~THEN DO ~SetGlobal("ISHYoshi","GLOBAL",1)~ EXIT
END

IF~~THEN BEGIN ISHYOSH002
SAY @39
IF~~THEN DO ~SetGlobal("ISHYoshi","GLOBAL",1)~ EXIT
END
END

APPEND CERNDJ

/////////CERND (mine talk)

IF WEIGHT #-10~Global("ISHCernd","GLOBAL",0) AreaCheck("ARISH7")~THEN BEGIN ISHCER000
SAY @40
IF~~THEN REPLY @41 GOTO ISHCER001
IF~~THEN REPLY @42 GOTO ISHCER002
IF~~THEN REPLY @43 GOTO ISHCER002
END

IF~~THEN BEGIN ISHCER002
SAY @44
=
@45
IF~~THEN DO ~SetGlobal("ISHCernd","GLOBAL",1)~ EXIT
END

IF~~THEN BEGIN ISHCER001
SAY @46
IF~~THEN DO ~SetGlobal("ISHCernd","GLOBAL",1)~ EXIT
END
END

APPEND EDWINJ

/////////EDWIN (tower)

IF WEIGHT #-10~Global("ISHEdwin","GLOBAL",0) AreaCheck("ARISH2")~THEN BEGIN ISHEDW000
SAY @47
=
@48
IF~~THEN DO ~SetGlobal("ISHEdwin","GLOBAL",1)~ EXIT
END
END

APPEND VALYGARJ

/////////Valygar (axe)

IF WEIGHT #-10~Global("ISHValy","GLOBAL",0) AreaCheck("ARISH1") !RealGlobalTimerExpired("ISHValyTime","GLOBAL")~THEN BEGIN ISHVAL000
SAY @49
IF~~THEN REPLY @50 GOTO ISHVAL001
IF~~THEN REPLY @51 GOTO ISHVAL002
END

IF~~THEN BEGIN ISHVAL001
SAY @52
=
@53
IF~~THEN REPLY @54 GOTO ISHVAL003
IF~~THEN REPLY @55 GOTO ISHVAL004
IF~~THEN REPLY @56 GOTO ISHVAL005
END

IF~~THEN BEGIN ISHVAL003
SAY @57
IF~~THEN GOTO ISHVAL006
END

IF~~THEN BEGIN ISHVAL004
SAY @58
IF~~THEN GOTO ISHVAL006
END

IF~~THEN BEGIN ISHVAL005
SAY @59
IF~~THEN DO ~SetGlobal("ISHValy","GLOBAL",1)~ EXIT
END

IF~~THEN BEGIN ISHVAL006
SAY @60
=
@61
IF~~THEN REPLY @62 GOTO ISHVAL007
IF~~THEN REPLY @63 GOTO ISHVAL008
IF~~THEN REPLY @64 GOTO ISHVAL005
END

IF~~THEN BEGIN ISHVAL007
SAY @65
IF~~THEN DO ~SetGlobal("ISHValy","GLOBAL",1)~ EXIT
END

IF~~THEN BEGIN ISHVAL008
SAY @66
IF~~THEN DO ~SetGlobal("ISHValy","GLOBAL",1)~ EXIT
END

IF~~THEN BEGIN ISHVAL002
SAY @67
IF~~THEN DO ~SetGlobal("ISHValy","GLOBAL",1)~ EXIT
END
END

APPEND IMOEN2J

/////////IMOEN (ressurection)

IF WEIGHT #-10~Global("ISHImoen","GLOBAL",0) AreaCheck("AR1513") Global("ISHGenie","GLOBAL",7)~THEN BEGIN ISHIMO000
SAY @68
IF~~THEN REPLY @69 GOTO ISHIMO001
IF~~THEN REPLY @70 GOTO ISHIMO002
END

IF~~THEN BEGIN ISHIMO001
SAY @71
=
@72
=
@73
IF~~THEN DO ~SetGlobal("ISHImoen","GLOBAL",1)~ EXIT
END

IF~~THEN BEGIN ISHIMO002
SAY @74
IF~~THEN DO ~SetGlobal("ISHImoen","GLOBAL",1)~ EXIT
END
END